Package com.gpudb.protocol
Class CreateTableRequest.Options
java.lang.Object
com.gpudb.protocol.CreateTableRequest.Options
Enclosing class:
A set of string constants for the
CreateTableRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringGenerate as much primary key index data as possible before accepting requests.static final StringSet startup primary-key index generation scheme for the table.static final StringIndicates the target maximum data size for each column in a chunk to be used for this table.static final StringIndicates the target maximum data size for all columns in a chunk to be used for this table.static final StringIndicates the number of records per chunk to be used for this table.static final String[DEPRECATED—please specify the containing schema as part oftableNameand useGPUdb.createSchemato create the schema if non-existent] Name of a schema which is to contain the newly created table.static final StringThe default compression codec for this table’s columns.static final Stringstatic final Stringstatic final StringSemicolon-separated list of foreign keys, of the format ‘(source_column_name [, …]) references target_table_name(primary_key_column_name [, …])static final StringForeign shard key of the format ‘source_column references shard_by_column from target_table(primary_key_column)‘.static final StringUse hash partitioning.static final Stringstatic final StringIfTRUE, a new partition will be created for values which don’t fall into an existing partition.static final String[DEPRECATED—please useGPUdb.createSchemato create a schema instead] Indicates whether to create a schema instead of a table.static final StringAffects the distribution scheme for the table’s data.static final StringIndicates whether the table is a memory-only table.static final StringGenerate the necessary primary key index data at start, and load the remainder lazily.static final StringUse list partitioning.static final StringSet startup data loading scheme for the table.static final StringIfTRUE, prevents an error from occurring if the table already exists and is of the given type.static final StringGenerate primary key index data as requests use it.static final StringComma-separated list of partition definitions, whose format depends on the choice ofPARTITION_TYPE.static final StringComma-separated list of partition keys, which are the columns or column expressions by which records will be assigned to partitions defined byPARTITION_DEFINITIONS.static final StringPartitioning scheme to use.static final StringUse range partitioning.static final StringUse series partitioning.static final StringThe tier strategy for the table and its columns.static final StringGenerate primary key index data using the system-configured default.static final Stringstatic final String
Field Details
CREATE_TEMP_TABLE
IfTRUE, a unique temporary table name will be generated in the sys_temp schema and used in place oftableName. IfIS_RESULT_TABLEisTRUE, then this is always allowed even if the caller does not have permission to create tables. The generated name is returned inQUALIFIED_TABLE_NAME. Supported values:The default value isFALSE.See Also:COLLECTION_NAME
[DEPRECATED—please specify the containing schema as part oftableNameand useGPUdb.createSchemato create the schema if non-existent] Name of a schema which is to contain the newly created table. If the schema is non-existent, it will be automatically created.See Also:IS_REPLICATED
Affects the distribution scheme for the table’s data. IfTRUEand the given type has no explicit shard key defined, the table will be replicated. IfFALSE, the table will be sharded according to the shard key specified in the giventypeId, or randomly sharded, if no shard key is specified. Note that a type containing a shard key cannot be used to create a replicated table. Supported values:The default value isFALSE.See Also:FOREIGN_KEYS
Semicolon-separated list of foreign keys, of the format ‘(source_column_name [, …]) references target_table_name(primary_key_column_name [, …]) [as foreign_key_name]’.See Also:PARTITION_TYPE
Partitioning scheme to use. Supported values:RANGE: Use range partitioning.INTERVAL: Use interval partitioning.LIST: Use list partitioning.HASH: Use hash partitioning.SERIES: Use series partitioning.
See Also:PARTITION_KEYS
Comma-separated list of partition keys, which are the columns or column expressions by which records will be assigned to partitions defined byPARTITION_DEFINITIONS.See Also:PARTITION_DEFINITIONS
Comma-separated list of partition definitions, whose format depends on the choice ofPARTITION_TYPE. See range partitioning, interval partitioning, list partitioning, hash partitioning, or series partitioning for example formats.See Also:IS_RESULT_TABLE
Indicates whether the table is a memory-only table. A result table cannot contain columns with text_search data-handling, and it will not be retained if the server is restarted. Supported values:The default value isFALSE.See Also:LOAD_VECTORS_POLICY
Set startup data loading scheme for the table. Supported values:ALWAYS: Load as much vector data as possible into memory before accepting requests.LAZY: Load the necessary vector data at start, and load the remainder lazily.ON_DEMAND: Load vector data as requests use it.SYSTEM: Load vector data using the system-configured default.
SYSTEM.See Also:BUILD_PK_INDEX_POLICY
Set startup primary-key index generation scheme for the table. Supported values:ALWAYS: Generate as much primary key index data as possible before accepting requests.LAZY: Generate the necessary primary key index data at start, and load the remainder lazily.ON_DEMAND: Generate primary key index data as requests use it.SYSTEM: Generate primary key index data using the system-configured default.
SYSTEM.See Also: